VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Cli::Command::OutputInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Cli::Command::OutputInfo:

## Avaliable Methods
public method | get_structure_id ()
public method | get_output_fields ()
public method | set_structure_id ()
public method | new ()
public method | set_output_fields ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Cli::Command::OutputInfo` class describes the names used by the CLI to display the fields of a class element in the interface definition language as well as the order in which the fields will be displayed.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Cli::Command::OutputInfo::get_output_fields | ( |  | ) |

Gets the value of 'output_fields' property.

Return values

  output_fields | - The current value of the field. The order in which the fields of the class will be displayed by the CLI as well as the names used to display the fields . List#

Code:
click to view
# Number of lines of code in get_output_fields: 4
sub get_output_fields {
my ($self, %args) = @_;
return $self->{'output_fields'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OutputInfo::get_structure_id | ( |  | ) |

Gets the value of 'structure_id' property.

Return values

  structure_id | - The current value of the field. Name of the class . ID#

Code:
click to view
# Number of lines of code in get_structure_id: 4
sub get_structure_id {
my ($self, %args) = @_;
return $self->{'structure_id'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OutputInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Cli::Command::OutputInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{structure_id} = $args{'structure_id'};
$self->{output_fields} = $args{'output_fields'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Cli::Command::OutputInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.cli.command.output_info');
$self->set_binding_field('key' => 'structure_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'output_fields', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Cli', 'type_name' => 'Command::OutputFieldInfo')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OutputInfo::set_output_fields | ( |  | ) |

Sets the given value for 'output_fields' property.

Parameters

  output_fields | - New value for the field. The order in which the fields of the class will be displayed by the CLI as well as the names used to display the fields .

Code:
click to view
# Number of lines of code in set_output_fields: 5
sub set_output_fields {
my ($self, %args) = @_;
$self->{'output_fields'} = $args{'output_fields'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OutputInfo::set_structure_id | ( |  | ) |

Sets the given value for 'structure_id' property.

Parameters

  structure_id | - New value for the field. Name of the class .

Code:
click to view
# Number of lines of code in set_structure_id: 5
sub set_structure_id {
my ($self, %args) = @_;
$self->{'structure_id'} = $args{'structure_id'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Cli/Command.pm